class PullLatestOddsPricesJob < ApplicationJob
  queue_as :medium

  def perform(args = {})
    ea = ExchangeAccount.find_by(id: ENV['BETFAIR_HUNTER_ACCOUNT'])
    raise 'No Betfair hunter account' unless ea

    hunter = Integrations::Betfair::OpportunityHunter.new(ea)
    BetfairEventRunner.runners_for_open_events.each do | runner |
      PullRunnerOddsJob.perform_later(hunter: hunter, runner: runner)
    end
  end
end
