class PullUpcomingEventsJob < ApplicationJob
  queue_as :medium

  def perform(args = {})
    ea = ExchangeAccount.find_by(id: ENV['BETFAIR_HUNTER_ACCOUNT'])
    raise 'No Betfair hunter account' unless ea

    hunter = Integrations::Betfair::OpportunityHunter.new(ea)
    top_of_hour = Time.now.beginning_of_hour
    hunter.events_in_timeframe(from: top_of_hour, to: top_of_hour + 1.hour) #pull events
    hunter.event_markets_and_selections #refresh the markets to include
  end
end
