class UserMailer < ApplicationMailer
  def welcome_email user
    @user = user
    subject = I18n.t('welcome_email_subject')
    deliver_mail(user.email, subject, reply_to = nil, user.fullname)
  end

  def notify_token_purchase(user, tokens, amount, balance)
    @user = user
    subject = I18n.t('token_purchase_confirmation_subject')
    @body = I18n.t('token_purchase_confirmation_body', tokens: tokens, amount: amount, balance: balance.to_i)
    deliver_mail(user.email, subject, reply_to = nil, user.fullname)
  end

  def notify_hourly_unread_activities(user_id, activities_hash)
    @user = User.find_by(id: user_id)
    @activities_hash = activities_hash

    deliver_mail(@user.email, '[Helpbuild] Activity Digest Mail', reply_to = nil, @user.fullname)
  end
end
