module Loggable
  extend ActiveSupport::Concern

  def set_log(s)
    log_this(s, false)
  end

  def log_this(s, append = true)
    x = append ? log || [] : []
    x << "[#{Time.now}]: #{s}"
    update(log: x)
  end

  def show_log
    x = log || []
    return 'Nothing logged' if x.length.zero?

    x.join(',')
  end
end
