# == Schema Information
#
# Table name: source_subscriptions
#
#  id                  :uuid             not null, primary key
#  exchange_account_id :string
#  tip_source_id       :uuid
#  created_at          :datetime         not null
#  updated_at          :datetime         not null
#
class SourceSubscription < ApplicationRecord
  belongs_to :tip_source, dependent: :delete
  belongs_to :exchange_account

  has_many :subscription_runs
  has_many :tip_source_data, through: :tip_source
end
