import React from 'react';
import { render } from 'react-dom';
import { createRoot } from 'react-dom/client';

import { library } from '@fortawesome/fontawesome-svg-core';
import { fab } from '@fortawesome/free-brands-svg-icons';
import { fas } from '@fortawesome/free-solid-svg-icons';
import { far } from '@fortawesome/free-regular-svg-icons';
import TimeAgo from 'javascript-time-ago';
import en from 'javascript-time-ago/locale/en.json';

import '../src/assets/style';

import EntryPoint from '../src/entry_point';

library.add(fas, fab, far);

TimeAgo.addDefaultLocale(en);

document.addEventListener('DOMContentLoaded', () => {
  const container = document.getElementById('app');
  const root = createRoot(container);
  root.render(<EntryPoint />);
});
