import { action, computed, makeObservable, observable } from 'mobx';
import BaseEntity from './base_entity';

class Bet extends BaseEntity {
  /* eslint-disable */
  id;
  outcome;
  exchange;
  exchangeEventName;
  exchangeOdds;
  tipProviderOdds;
  stake;
  expectedValue;
  marketIdentifier;
  exchangeMarketDetails;
  betPlacementType;
  executedOdds;
  evPercent;
  eventScheduledTime;
  /* eslint-enable */

  constructor(value, store) {
    super(value, store);

    makeObservable(this);

    this.handleConstruction(value);
  }

  @action
  handleConstruction(value) {
    const val = { ...value };
    this.initialize(val);
  }
}

export default Bet;
