import { action, computed, flow, makeObservable, observable } from 'mobx';
import BaseEntity from './base_entity';
import client from '../axiosClient';

class ExchangeAccount extends BaseEntity {
  /* eslint-disable */
  id;
  exchangeName;
  exchangeId;
  contactEmail;
  contactName;
  stakeStrategyName;
  sourceTypes;
  stakeStrategyConfig;
  stakeStrategy;
  lastLogTime;
  @observable isActive;
  @observable canBet;
  log;

  @observable accountBalance;
  /* eslint-enable */

  constructor(value, store) {
    super(value, store);

    makeObservable(this);

    this.handleConstruction(value);
  }

  @action
  handleConstruction(value) {
    const val = { ...value };
    this.initialize(val);
  }

  @flow
  *updateExchangeAccount(params) {
    this.update(params);
    yield client.put('/api/v1/exchange_account.json', {
      exchange_account_id: this.id,
      ...params,
    });
  }
}

export default ExchangeAccount;
