import { action, computed, makeObservable, observable } from 'mobx';
import BaseEntity from './base_entity';

class User extends BaseEntity {
  /* eslint-disable */
  id;
  email;
  accountId;
  accountName;
  @observable status;
  @observable firstName;
  @observable lastName;
  @observable strKey;
  @observable fullname;
  @observable onboarded = [];
  @observable environment = 'production';
  /* eslint-enable */

  constructor(value, store) {
    super(value, store);

    makeObservable(this);

    this.handleConstruction(value);
  }

  updateUrl = () => `/api/v1/users/${this.id}.json`;

  @computed
  get fullName() {
    return `${this.firstName} ${this.lastName}`;
  }

  @computed
  get asSelectOption() {
    return { label: this.fullName, value: this.id };
  }

  @action
  logout = () => {
    window.location.href = '/public';
  };

  @action
  handleConstruction(value) {
    const val = { ...value };
    this.initialize(val);
  }
}

export default User;
