import React from 'react';

import { BrowserRouter, Switch } from 'react-router-dom';
import { ToastContainer } from 'react-toastify';
import { StoreProvider } from '../data/provider';
import RootStore from '../data';
import AppRoutes from '../routes';

const EntryPoint = () => (
  <StoreProvider value={new RootStore()}>
    <BrowserRouter>
      <div className="main-app">
        <ToastContainer />
        <Switch>
          <AppRoutes />
        </Switch>
      </div>
    </BrowserRouter>
  </StoreProvider>
);

export default EntryPoint;
