import React from 'react';

import {
  DateRange,
  InputRangeTag,
  ReactSelectTag,
  SearchInput,
  SelectTag,
} from '../views/shared/form_components';

export const renderFilter = (filter, handleChange) => {
  switch (filter.type) {
    case 'search':
      return <SearchInput handleChange={handleChange} input={filter} />;

    case 'select':
      return <SelectTag handleChange={handleChange} input={filter} />;

    case 'date-range':
      return <DateRange handleChange={handleChange} input={filter} />;

    case 'input-range':
      return <InputRangeTag handleChange={handleChange} input={filter} />;

    case 'react-select':
      return <ReactSelectTag handleChange={handleChange} input={filter} />;

    default:
      return null;
  }
};

export const betFilters = [
  {
    name: 'outcome',
    type: 'react-select',
    placeholder: 'Select...',
    label: 'Outcome',
    isMulti: true,
    options: [
      { label: 'All', value: '' },
      { label: 'Open', value: 'open' },
      { label: 'Lost', value: 'lost' },
      { label: 'Won', value: 'won' },
      { label: 'Processing', value: 'processing' },
      { label: 'Expired', value: 'expired' },
      { label: 'Skipped', value: 'skipped' },
      { label: 'Ignored', value: 'ignored' },
      { label: 'Errored', value: 'errored' },
      { label: 'Voided', value: 'voided' },
      { label: 'Cancelled', value: 'cancelled' },
    ],
  },
  {
    name: 'created_at',
    type: 'date-range',
    placeholder: 'Select Date',
    label: 'Created Date',
  },
  {
    name: 'event_name',
    type: 'search',
    placeholder: 'Search...',
    label: 'Event Name',
  },
];
