import React from 'react';

import { Route } from 'react-router-dom';
import PropTypes from 'prop-types';
import { observer } from 'mobx-react';

import useStore from '../data/store';

export const KEYCLOAK_AUTH_URL = '/users/auth/keycloakopenid';

const AuthenticatedRoute = ({ component, path }) => {
  const { userStore } = useStore();

  const Component = component;

  const HandleAuth = () => {
    localStorage.setItem(
      'redirectURL',
      `${window.location.pathname}${window.location.search}`
    );

    window.location.href = KEYCLOAK_AUTH_URL;

    return null;
  };

  return (
    <Route
      exact
      path={path}
      component={userStore.userSignedIn ? Component : HandleAuth}
    />
  );
};

AuthenticatedRoute.propTypes = {
  component: PropTypes.func,
  path: PropTypes.string,
};

export default observer(AuthenticatedRoute);
