import React, { useEffect, useState } from 'react';

import { observer } from 'mobx-react';
import { Card, CardBody } from 'reactstrap';

import PropTypes from 'prop-types';
import FilteredList from '../modules/filtered_list';
import useStore from '../../data/store';
import { betFilters } from '../../helpers/filter_helpers';
import BetsList from './_bets_list';

const BetsIndex = ({ match }) => {
  const { betStore } = useStore();

  useEffect(() => {
    if (betStore.fetched) {
      console.log('Bets fetched');
    }
  }, [betStore.fetched]);

  return (
    <Card>
      <CardBody>
        <FilteredList
          listComponent={BetsList}
          store={betStore}
          filters={betFilters}
          recordClassName="col-xl-4"
        />
      </CardBody>
    </Card>
  );
};

BetsIndex.propTypes = {
  match: PropTypes.instanceOf(Object).isRequired,
};

export default observer(BetsIndex);
