import React, { useEffect } from 'react';

import { Card, CardBody, Col, Row } from 'reactstrap';
import { observer } from 'mobx-react';
import ReactTimeAgo from 'react-time-ago';
import { map } from 'lodash';
import PublicLayout from '../layouts/public_layout';
import BetsIndex from '../bets';
import useStore from '../../data/store';
import CountdownRefresh from '../modules/countdown_refresh';
import { SelectTag } from '../shared/form_components';
import AuthenticatedLayout from '../layouts/authenticate';

const Dashboard = () => {
  const { appStore } = useStore();
  const renderBody = () => (
    <>
      {!appStore.appInitialised && <div>Refreshing...</div>}
      {appStore.appInitialised && (
        <div>
          <Card color="light" className="top-0">
            <CardBody>
              <BetsIndex />
            </CardBody>
          </Card>
        </div>
      )}
    </>
  );
  return <AuthenticatedLayout>{renderBody()}</AuthenticatedLayout>;
};

export default observer(Dashboard);
