import React from 'react';

import { observer } from 'mobx-react';
import PropTypes from 'prop-types';

import { Container, Navbar, NavbarBrand } from 'reactstrap';
import LOGO from '../../assets/images/logo.svg';
import useStore from '../../data/store';

const PublicLayout = ({ children }) => {
  const { userStore } = useStore();
  return (
    <div
      className="bg-light pt-5"
      style={{ height: '100vh', overflowY: 'auto' }}
    >
      <Navbar fixed="top" light className="bg-light justify-content-lg-center">
        <NavbarBrand>
          <img src={LOGO} alt="logo" />
        </NavbarBrand>
        {userStore.userSignedIn && (
          <div>
            <a href="/admin/sidekiq" target="sidekiq">
              Sidekiq
            </a>
          </div>
        )}
      </Navbar>
      <Container className="mt-5 container-xl border-top border-dark">
        {children}
      </Container>
    </div>
  );
};

PublicLayout.propTypes = {
  children: PropTypes.node,
};

export default observer(PublicLayout);
