import React, { useEffect, useState } from 'react';

import { observer } from 'mobx-react';
import { Form, FormGroup, Input, Label } from 'reactstrap';
import useStore from '../../../data/store';
import Toggler from '../toggler.js';

const CountdownRefresh = () => {
  const { appStore } = useStore();
  const refreshTime = 1;
  const [countdownToNextRefresh, setCountdownToNextRefresh] = useState(
    refreshTime
  );
  const [enableCountdown, setEnableCountdown] = useState(
    appStore.autoRefreshResults
  );
  const [intervalId, setIntervalId] = useState();
  let counter = refreshTime;
  const startCountdown = () => {
    setIntervalId(
      setInterval(() => {
        counter -= 1;
        if (counter === 0) {
          counter = refreshTime;
          appStore.refresh();
        }
        setCountdownToNextRefresh(counter);
      }, 1000)
    );
  };

  useEffect(() => {
    if (enableCountdown) {
      startCountdown();
    }
  }, [enableCountdown]);

  const handleChange = () => {
    setEnableCountdown(!enableCountdown);
    console.log('Stopping counter refresh');
    clearInterval(intervalId);
  };

  return (
    <Toggler
      state={enableCountdown}
      offText={'Disable auto-refresh'}
      onText="Enable auto-refresh"
      onChangeHandler={handleChange}
    />
  );
};

export default observer(CountdownRefresh);
