import React, { useEffect } from 'react';

import { observer } from 'mobx-react';

import { forEach, includes, isEmpty, isNull } from 'lodash';
import { Button } from 'reactstrap';
import PropTypes from 'prop-types';

const EditableHash = ({ source, updateFunction }) => {
  const editableValues = [];
  //
  // const editableValues = [
  //   'max_ev',
  //   'min_ev',
  //   'odds_margin',
  //   'max_odds_to_bet',
  //   'min_odds_to_bet',
  //   'stake_sizing',
  //   'max_bankroll_per_bet',
  // ];

  const showOnlyEditable = false;
  const divOfValues = hash => {
    if (Object.keys(hash).length === 0 || typeof hash === 'string') {
      return hash;
    }
    const x = [];
    // forEach(Object.keys(hash), key => {
    //   if (includes(editableValues, key)){
    //     const v = divOfValues(hash[key])
    //     const vEntry = <input id={key} value={v}/>
    //     x.push(
    //         <div>{key}: {vEntry}</div>
    //     );
    //   }
    // });

    forEach(Object.keys(hash), key => {
      const v = divOfValues(hash[key]);
      const vEntry = includes(editableValues, key) ? (
        <input id={key} value={v} />
      ) : (
        v
      );
      const hideThis = showOnlyEditable && !includes(editableValues, key)

      if (!hideThis) {
        x.push(
          <div>
            {key}: {vEntry}
          </div>
        );
      }
    });
    return <div className="small px-2 border-start">{x}</div>;
  };
  return (
    <div className="mt-2 small px-2 text-secondary">{divOfValues(source)}</div>
  );
};

EditableHash.propTypes = {
  source: PropTypes.instanceOf(Object).isRequired,
  updateFunction: PropTypes.func.isRequired,
};

export default observer(EditableHash);
