import React from 'react';

import { observer } from 'mobx-react';
import { Form, FormGroup, Input, Label } from 'reactstrap';
import PropTypes from 'prop-types';

const Toggler = ({
  prompt,
  disabled,
  state,
  onText,
  offText,
  onChangeHandler,
}) => {
  const handleChange = () => {
    if (prompt) {
      // eslint-disable-next-line no-restricted-globals
      if (confirm('Are you sure?') === false) return false;
    }
    onChangeHandler();
  };

  return (
    <Form>
      <FormGroup switch disabled={disabled}>
        <Label
          style={{ fontSize: 13 }}
          className={state ? 'text-primary' : 'text-danger'}
          check
        >
          {state ? offText : onText}
        </Label>
        <Input
          disabled={disabled}
          type="switch"
          role="switch"
          checked={state}
          onClick={handleChange}
        />
      </FormGroup>
    </Form>
  );
};

Toggler.defaultProps = {
  disabled: false,
  prompt: false,
};

Toggler.propTypes = {
  disabled: PropTypes.bool,
  prompt: PropTypes.bool,
  state: PropTypes.bool.isRequired,
  onText: PropTypes.string.isRequired,
  offText: PropTypes.string.isRequired,
  onChangeHandler: PropTypes.func.isRequired,
};
export default observer(Toggler);
