import React from 'react';

import { Button } from 'reactstrap';
import { observer } from 'mobx-react';
import { Link } from 'react-router-dom';
import useStore from '../../data/store';
import { KEYCLOAK_AUTH_URL } from '../../routes/AuthenticatedRoute';
import PublicLayout from '../layouts/public_layout';

const Public = () => {
  const { userStore } = useStore();

  const handleSignInSignUp = () => {
    localStorage.setItem(
      'redirectURL',
      `${window.location.pathname}${window.location.search}`
    );

    window.location.href = KEYCLOAK_AUTH_URL;
  };

  const handleSignOut = () => {
    window.location.href = '/sign_out';
  };

  const renderBody = () => (
    <div>
      <div className="mt-3 w-100 text-center">Welcome to BetBeast.</div>
      <div className="mt-5 text-center">
        {userStore.userSignedIn && (
          <div>
            <Link to="/dashboard" className="btn btn-primary mr-2">
              Go to Dashboard
            </Link>
            <Button onClick={handleSignOut}> Sign Out</Button>
          </div>
        )}
        {!userStore.userSignedIn && (
          <Button onClick={handleSignInSignUp}> Sign In</Button>
        )}
      </div>
    </div>
  );
  return <PublicLayout>{renderBody()}</PublicLayout>;
};

export default observer(Public);
