import React from 'react';
import PropTypes from 'prop-types';
import { observer } from 'mobx-react';
import {
  Button,
  PopoverBody,
  PopoverHeader,
  UncontrolledPopover,
} from 'reactstrap';
import { FontAwesomeIcon } from '@fortawesome/react-fontawesome';

const InfoPoint = ({ children }) => {
  return (
    <>
      <FontAwesomeIcon
        icon="info-circle"
        className="text-info pl-1 pt-1"
      />{' '}
      <UncontrolledPopover trigger="focus">
        <PopoverBody>{children}</PopoverBody>
      </UncontrolledPopover>
    </>
  );
};
InfoPoint.propTypes = {
  children: PropTypes.string.isRequired,
};

export default observer(InfoPoint);
