# This file is auto-generated from the current state of the database. Instead
# of editing this file, please use the migrations feature of Active Record to
# incrementally modify your database, and then regenerate this schema definition.
#
# This file is the source Rails uses to define your schema when running `bin/rails
# db:schema:load`. When creating a new database, `bin/rails db:schema:load` tends to
# be faster and is potentially less error prone than running all of your
# migrations from scratch. Old migrations may fail to apply correctly if those
# migrations use external dependencies or application code.
#
# It's strongly recommended that you check this file into your version control system.

ActiveRecord::Schema.define(version: 2022_11_15_164901) do

  # These are extensions that must be enabled in order to support this database
  enable_extension "pgcrypto"
  enable_extension "plpgsql"
  enable_extension "uuid-ossp"

  create_table "mail_recipients", id: false, force: :cascade do |t|
    t.uuid "received_mail_id"
    t.string "recipient_id"
    t.string "delivery_status", default: "delivered"
    t.string "delivery_status_changed_at"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["received_mail_id", "recipient_id"], name: "index_mail_recipients_on_received_mail_id_and_recipient_id", unique: true
  end

  create_table "received_mails", id: :uuid, default: -> { "gen_random_uuid()" }, force: :cascade do |t|
    t.string "sender_id"
    t.string "message_id"
    t.binary "body"
    t.string "delivery_status", default: "queued"
    t.string "delivery_status_changed_at"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["message_id"], name: "index_received_mails_on_message_id", unique: true
    t.index ["sender_id"], name: "index_received_mails_on_sender_id"
  end

  create_table "recipients", id: :string, force: :cascade do |t|
    t.string "verification_status", default: "unverified"
    t.datetime "last_verified_at"
    t.string "bounce_status", default: "unknown"
    t.datetime "bounce_status_changed_at"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
  end

  create_table "senders", id: :string, force: :cascade do |t|
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
  end

end
